# Uses of Class
java.lang.InstantiationException

Packages that use InstantiationException
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.reflect
Provides classes and interfaces for obtaining reflective information about classes and objects.
java.util
Contains the collections framework, some internationalization support classes, a service loader, properties, random number generation, string parsing and scanning classes, base64 encoding and decoding, a bit array, and several miscellaneous utility classes.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
org.w3c.dom.bootstrap
Provides a factory for obtaining instances of `DOMImplementation`.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of InstantiationException in java.lang

Methods in java.lang that throw InstantiationException
Modifier and Type
Method
Description
`T`
Class.`newInstance()`
Deprecated.
This method propagates any exception thrown by the nullary constructor, including a checked exception.

## Uses of InstantiationException in java.lang.reflect

Methods in java.lang.reflect that throw InstantiationException
Modifier and Type
Method
Description
`T`
Constructor.`newInstance(Object... initargs)`
Uses the constructor represented by this `Constructor` object to create and initialize a new instance of the constructor's declaring class, with the specified initialization parameters.

## Uses of InstantiationException in java.util

Methods in java.util that throw InstantiationException
Modifier and Type
Method
Description
`ResourceBundle`
ResourceBundle.Control.`newBundle(String baseName, Locale locale, String format, ClassLoader loader, boolean reload)`
Instantiates a resource bundle for the given bundle name of the given format and locale, using the given class loader if necessary.

## Uses of InstantiationException in javax.swing

Methods in javax.swing that throw InstantiationException
Modifier and Type
Method
Description
`static void`
UIManager.`setLookAndFeel(String className)`
Loads the `LookAndFeel` specified by the given class name, using the current thread's context class loader, and passes it to `setLookAndFeel(LookAndFeel)`.

## Uses of InstantiationException in org.w3c.dom.bootstrap

Methods in org.w3c.dom.bootstrap that throw InstantiationException
Modifier and Type
Method
Description
`static DOMImplementationRegistry`
DOMImplementationRegistry.`newInstance()`
Obtain a new instance of a `DOMImplementationRegistry`.

## Uses of InstantiationException in org.xml.sax.helpers

Methods in org.xml.sax.helpers that throw InstantiationException
Modifier and Type
Method
Description
`static Parser`
ParserFactory.`makeParser()`
Deprecated.
Create a new SAX parser using the `org.xml.sax.parser' system property.
`static Parser`
ParserFactory.`makeParser(String className)`
Deprecated.
Create a new SAX parser object using the class name provided.